package com.chenyang.nse.bussiness.entity.param.maskingself;

import java.util.List;

public class SaveSelfParam {
   private String taskId;
   private String taskName;
   private String taskNote;
   private String engineId;
   private String fdName;
   private String insertType;
   private String userId;
   private String systemId;
   private String schema;
   private String dbType;
   private String username;
   private List<TableInfoParam> tableInfo;

   public String getTaskId() {
      return this.taskId;
   }

   public void setTaskId(String taskId) {
      this.taskId = taskId;
   }

   public String getTaskName() {
      return this.taskName;
   }

   public void setTaskName(String taskName) {
      this.taskName = taskName;
   }

   public String getTaskNote() {
      return this.taskNote;
   }

   public void setTaskNote(String taskNote) {
      this.taskNote = taskNote;
   }

   public String getEngineId() {
      return this.engineId;
   }

   public void setEngineId(String engineId) {
      this.engineId = engineId;
   }

   public String getFdName() {
      return this.fdName;
   }

   public void setFdName(String fdName) {
      this.fdName = fdName;
   }

   public String getInsertType() {
      return this.insertType;
   }

   public void setInsertType(String insertType) {
      this.insertType = insertType;
   }

   public String getUserId() {
      return this.userId;
   }

   public void setUserId(String userId) {
      this.userId = userId;
   }

   public String getSystemId() {
      return this.systemId;
   }

   public void setSystemId(String systemId) {
      this.systemId = systemId;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getDbType() {
      return this.dbType;
   }

   public void setDbType(String dbType) {
      this.dbType = dbType;
   }

   public List<TableInfoParam> getTableInfo() {
      return this.tableInfo;
   }

   public void setTableInfo(List<TableInfoParam> tableInfo) {
      this.tableInfo = tableInfo;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }
}
